Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • IO::Pipely
  • POE
  • POE::NFA
  • POE::Pipe::OneWay
  • POE::Session
  • POE::Wheel::ReadWrite
  • POE::Wheel::Run
  • Term::Size

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: POE::Test::Loops::00_info, POE::Test::Loops::all_errors, POE::Test::Loops::comp_tcp, POE::Test::Loops::comp_tcp_concurrent, POE::Test::Loops::connect_errors, POE::Test::Loops::k_alarms, POE::Test::Loops::k_aliases, POE::Test::Loops::k_detach, POE::Test::Loops::k_run_returns, POE::Test::Loops::k_selects, POE::Test::Loops::k_sig_child, POE::Test::Loops::k_signals, POE::Test::Loops::ses_nfa, POE::Test::Loops::ses_session, POE::Test::Loops::wheel_accept, POE::Test::Loops::wheel_curses, POE::Test::Loops::wheel_run, POE::Test::Loops::wheel_run_size, POE::Test::Loops::wheel_sf_ipv6, POE::Test::Loops::wheel_sf_tcp, POE::Test::Loops::wheel_sf_udp, POE::Test::Loops::wheel_sf_unix, POE::Test::Loops::wheel_tail, POE::Test::Loops::z_merijn_sigchld_system, POE::Test::Loops::z_rt53302_fh_watchers, POE::Test::Loops::z_steinert_signal_integrity

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Carp
  • strict
  • warnings

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
POE::Test::DondeEstan 1.360 metacpan
POE::Test::Loops Reusable tests for POE::Loop authors 1.360 metacpan

Other Files

MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
README.mkdn metacpan
dist.ini metacpan